List agent sessions
curl --request GET \
--url https://api.getmembrane.com/agent-sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/agent-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/agent-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"workspaceId": "<string>",
"type": "<string>",
"status": "queued",
"prompt": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"hasWorker": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tenantId": "<string>",
"ownerName": "<string>",
"orgWorkspaceId": "<string>",
"ownerPlatformUserId": "<string>",
"workspaceElementType": "tenant",
"workspaceElementId": "<string>",
"error": {
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"archivedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"summary": "<string>",
"labels": [
"<string>"
],
"metadata": {},
"cost": 123,
"estimatedCost": 123,
"extraSpendAllowance": 123,
"state": "busy",
"promptPending": true,
"promptSynthetic": true,
"inputs": [
{
"id": "<string>",
"sessionId": "<string>",
"sequence": 4503599627370495,
"kind": "prompt",
"state": "queued",
"activationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"input": "<string>",
"attachments": [
{
"title": "<string>",
"data": {}
}
],
"synthetic": true,
"producerIdempotencyKey": "<string>",
"deliveredAttemptId": "<string>"
}
],
"stopping": true,
"isExternal": true,
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"externalSessionId": "<string>",
"preset": "general",
"adminCatalog": true,
"launchContext": {
"surface": "console-chat",
"route": "<string>",
"element": {
"type": "tenant",
"id": "<string>"
}
},
"agentHarnessId": "<string>",
"agentHarnessSnapshotId": "<string>",
"modelId": "<string>",
"reasoningEffort": "none",
"output": {},
"outputAttachments": [
{
"title": "<string>",
"data": {}
}
],
"promptAttachments": [
{
"title": "<string>",
"data": {}
}
],
"parentSessionId": "<string>"
}
],
"cursor": "<string>"
}Agent Sessions
List agent sessions
GET
/
agent-sessions
List agent sessions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of items to return (1-1000)
Required range:
1 <= x <= 1000Pagination cursor from a previous response
Available options:
tenant, app, connector, oauth-client, action, connection, browser-session, agent-session, data-table, data-table-record, external-event-log-record, external-event-pull, event-source, event-listener, action-run-log-record, external-api-log-record, incoming-webhook-log-record, external-reference, job, deliverable, receipt, job-contract, job-operator-assignment, crew-member, routine, routine-run, task, intake, command-execution, canvas, screen, file, knowledge-article, source-tree, source-tree-version, source-module Return sessions started from or associated with this element. Pair with relatedElementId.
Available options:
tenant, app, connector, oauth-client, action, connection, browser-session, agent-session, data-table, data-table-record, external-event-log-record, external-event-pull, event-source, event-listener, action-run-log-record, external-api-log-record, incoming-webhook-log-record, external-reference, job, deliverable, receipt, job-contract, job-operator-assignment, crew-member, routine, routine-run, task, intake, command-execution, canvas, screen, file, knowledge-article, source-tree, source-tree-version, source-module Return sessions started from or associated with this element. Pair with relatedElementType.
Filter sessions by the preset (situation) the agent ran in.
Available options:
general, canvas, screen, data, events, knowledge, connection, action, work, client, task, learning Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
queued, starting, running, completed, failed, cancelled Return only sessions carrying this exact label — e.g. benchmark for the sessions a benchmark run opened.
Required string length:
1 - 64Include child sessions in the listing. Omitted by default from user-facing conversation lists.
Pass a session id to fetch its direct children. This takes precedence over includeSubSessions.